Bug 815649 - [abrt] gambas3-runtime-3.0.0-1.fc17: EXEC_enter: Process /usr/bin/gbx3 was killed by signal 11 (SIGSEGV)
[abrt] gambas3-runtime-3.0.0-1.fc17: EXEC_enter: Process /usr/bin/gbx3 was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gambas3 (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:bb8cd48dec872d59e3ebfaa0705...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 03:29 EDT by Alexei Panov
Modified: 2012-05-26 03:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: gambas3-3.1.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 06:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.44 KB, text/plain)
2012-04-24 03:29 EDT, Alexei Panov
no flags Details
File: smolt_data (2.98 KB, text/plain)
2012-04-24 03:29 EDT, Alexei Panov
no flags Details
File: maps (36.10 KB, text/plain)
2012-04-24 03:29 EDT, Alexei Panov
no flags Details
File: dso_list (13.92 KB, text/plain)
2012-04-24 03:29 EDT, Alexei Panov
no flags Details
File: build_ids (5.53 KB, text/plain)
2012-04-24 03:29 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2012-04-24 03:29:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gbr3 /usr/bin/gambas3
crash_function: EXEC_enter
executable:     /usr/bin/gbx3
kernel:         3.3.2-8.fc17.i686
pid:            2297
pwd:            /usr/bin
time:           Вт. 24 апр. 2012 11:12:13
uid:            1000
username:       alex
xsession_errors: 

backtrace:      Text file, 59840 bytes
build_ids:      Text file, 5658 bytes
dso_list:       Text file, 14252 bytes
maps:           Text file, 36963 bytes
smolt_data:     Binary file, 3053 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/alex/1

comment:
:1. yum install gambas3
:2. run 'gambas3'
:3. Segmentation fault.

core_backtrace:
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x9b0d - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadb6 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x23dc6 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x244c0 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3d3e6 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x23dc6 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x245fb - [exe] -
:0f2fade73686f22710f63bdcc93caade52bbd7e7 0x6a602 - gb.qt4.so -
:0f2fade73686f22710f63bdcc93caade52bbd7e7 0x69da1 - gb.qt4.so -
:45755d444202363f654c15cd24d423e4ec1671bf 0x19715e QMetaObject::activate(QObject*, libQtCore.so.4 -
:4f443b36591eda675b8137aa67e17284f18b2391 0x87bc96 QAbstractSlider::valueChanged(int) libQtGui.so.4 -
:4f443b36591eda675b8137aa67e17284f18b2391 0x57c304 QAbstractSlider::setValue(int) libQtGui.so.4 -
:0f2fade73686f22710f63bdcc93caade52bbd7e7 0x6a325 - gb.qt4.so -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xae00 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xe812 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3dfb1 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xe5ab - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3dfb1 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xe5ab - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3dfb1 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xc22d - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xc71a - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xcbd9 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3d870 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xc7c8 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x2c914 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x109a4 - [exe] -
:0f2fade73686f22710f63bdcc93caade52bbd7e7 0x3d80d - gb.qt4.so -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xb611 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3d693 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xc22d - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xc71a - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x2c914 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x109a4 - [exe] -
:0f2fade73686f22710f63bdcc93caade52bbd7e7 0x3d80d - gb.qt4.so -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xb611 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x3d693 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xa883 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0xadc4 - [exe] -
:0431e8f7b5d38497f58380452353d9ca41d202bf 0x318f - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=alex-mini.localnet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/alex/keyring-35BQfG/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=29360133
:GNOME_KEYRING_CONTROL=/run/user/alex/keyring-35BQfG
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:'IMSETTINGS_MODULE=X compose table'
:USER=alex
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/alex/keyring-35BQfG/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/973,unix/unix:/tmp/.ICE-unix/973
:USERNAME=alex
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/alex/.local/bin:/home/alex/bin
:MAIL=/var/spool/mail/alex
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/alex
:XMODIFIERS=@im=none
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/alex
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=alex
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cdhBeYQOsm,guid=6d21961a39ade71bb0a629d700000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/alex
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-alex-vHRhfm/database
:_=/usr/bin/gambas3

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7827                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         unlimited            unlimited            bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7827                 7827                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	02002
:1:/dev/pts/0
:pos:	0
:flags:	02002
:2:/dev/pts/0
:pos:	0
:flags:	02002
:3:/usr/bin/gambas3.gambas
:pos:	0
:flags:	00
:4:/usr/lib/gambas3/gb.qt4.gambas
:pos:	0
:flags:	00
:5:/usr/lib/gambas3/gb.form.gambas
:pos:	0
:flags:	00
:6:/usr/lib/gambas3/gb.db.gambas
:pos:	0
:flags:	00
:7:/usr/lib/gambas3/gb.db.form.gambas
:pos:	0
:flags:	00
:8:/usr/lib/gambas3/gb.desktop.gambas
:pos:	0
:flags:	00
:9:/usr/lib/gambas3/gb.eval.highlight.gambas
:pos:	0
:flags:	00
:10:/usr/lib/gambas3/gb.form.dialog.gambas
:pos:	0
:flags:	00
:11:/usr/lib/gambas3/gb.settings.gambas
:pos:	0
:flags:	00
:12:/usr/lib/gambas3/gb.form.mdi.gambas
:pos:	0
:flags:	00
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:pipe:[26538]
:pos:	0
:flags:	02004000
:15:pipe:[26538]
:pos:	0
:flags:	02004001
:16:socket:[26539]
:pos:	0
:flags:	02004002
:17:socket:[26540]
:pos:	0
:flags:	02004002
:18:socket:[26543]
:pos:	0
:flags:	02004002
:19:socket:[26545]
:pos:	0
:flags:	02000002
:20:/usr/lib/gambas3/gb.form.stock.gambas
:pos:	0
:flags:	00
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:socket:[26554]
:pos:	0
:flags:	02004002

var_log_messages:
:Apr 24 11:12:13 alex-mini kernel: [ 2001.134454] gbr3[2297]: segfault at 67617387 ip 08051b0d sp bfd662e0 error 4 in gbx3[8048000+53000]
:Apr 24 11:12:13 alex-mini abrt[2302]: Saved core dump of pid 2297 (/usr/bin/gbx3) to /var/spool/abrt/ccpp-2012-04-24-11:12:13-2297 (28717056 bytes)
Comment 1 Alexei Panov 2012-04-24 03:29:46 EDT
Created attachment 579766 [details]
File: backtrace
Comment 2 Alexei Panov 2012-04-24 03:29:48 EDT
Created attachment 579767 [details]
File: smolt_data
Comment 3 Alexei Panov 2012-04-24 03:29:52 EDT
Created attachment 579768 [details]
File: maps
Comment 4 Alexei Panov 2012-04-24 03:29:54 EDT
Created attachment 579769 [details]
File: dso_list
Comment 5 Alexei Panov 2012-04-24 03:29:56 EDT
Created attachment 579770 [details]
File: build_ids
Comment 6 Alexey 2012-04-24 03:59:16 EDT
Confirm. RFR 17 x86

And already available the new version Gambas 3.1.1
Comment 7 Fedora Update System 2012-05-02 16:12:45 EDT
gambas3-3.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gambas3-3.1.1-2.fc17
Comment 8 Fedora Update System 2012-05-02 16:12:56 EDT
gambas3-3.1.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gambas3-3.1.1-2.fc16
Comment 9 Fedora Update System 2012-05-02 16:13:26 EDT
gambas3-3.1.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gambas3-3.1.1-2.fc15
Comment 10 Fedora Update System 2012-05-03 03:21:20 EDT
Package gambas3-3.1.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gambas3-3.1.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7119/gambas3-3.1.1-2.fc15
then log in and leave karma (feedback).
Comment 11 Alexei Panov 2012-05-10 05:42:55 EDT
After update gambas3 works fine.
Thanks.
Comment 12 Fedora Update System 2012-05-11 06:27:43 EDT
gambas3-3.1.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-05-11 06:30:36 EDT
gambas3-3.1.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Alexey 2012-05-11 09:44:18 EDT
I am error in Russian Fedora 16 x64

[archer@fr ~]$ gambas3
ERROR: #2: Cannot load class 'Container': Cannot load parent class: Cannot load class 'Control': Unable to load class file
Ошибка сегментирования (core dumped)
[archer@fr ~]$
Comment 15 Fedora Update System 2012-05-26 03:32:44 EDT
gambas3-3.1.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.